Subject: Re: regarding kgdb in ppc

From: sudheer <[email-masked]>
Date: Tue, 23 Jan 2007 11:30:57 +0530

Vijay Sampath wrote:
> Sorry no idea. The configuration and options for kgdb are different in
> my architecture. In make menuconfig, under "Kernel Hacking', I enable
> kgdb and choose its serial port (ttyS0 or ttyS1). After this if I just
> pass a string with "kgdb" in it in the commandline, it halts early on.
> Looks like kgdb function is different in your architecture. You will
> have to read the code that implements your kgdb setup. Clearly it is
> not happy with the arguments you are passing it, as evident in the
> output.
>
> BTW I am using Linux kernel version 2.6.16 on a IBM405EP board. kgdb
> breakpoint is setup in setup_arch() in arch/ppc/kernel/setup.c. Note I
> also enabled CONFIG_WANT_EARLY_SERIAL in the processor configuration.
> Not sure if this is important.
>
In my setup i have one serial port on the target(MPC8540) and one on 
host(x86). The document(kgdb_docu_full-2.4.pdf) by default considers 
having two serial ports(two on target and two on host).

Can anyone plz guide me how to proceed when i have only one serial port . ?

I want to know the initilization steps for estrablishing the serial 
communication between kgdb(in target) and gdb on host. I tried one or 
two ways but couldnot succeed.

Thanks
Sudheer
> Vijay
>
> On 12/30/06, sudheer <[email-masked]> wrote:
>> Vijay, Thanks  for the reply.
>> But before trying these options i want to clear one more issue.
>> While booting the kgdb kernel the kernel claims "kgdb initialisation
>> failure." I have observed it very lately.
>>
>> Memory CAM mapping: CAM0=256Mb, CAM1=0Mb, CAM2=0Mb residual: 0Mb
>> Linux version 2.6.15.5 (root@Sudheer) (gcc version 3.4.4) #2 Fri Dec 
>> 29 17:58:40 IST
>> 2006
>> KGDB cannot initialize I/O yet.
>> Invalid syntax for option kgdb8250=
>> Malformed early option 'kgdb8250'
>> Built 1 zonelists
>> Kernel command line: console=ttyS0,115200 root=/dev/ram rw kgdbwait 
>> kgdb8250=0,115200
>> OpenPIC Version 1.2 (1 CPUs and 60 IRQ sources) at fcfbb000
>> PID hash table entries: 2048 (order: 11, 32768 bytes)
>> Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
>>
>>
>>
>>
>> I have changed the kgdb8250 arg to 1,0, but the result is same.
>> And ......
>> I have checked the serial cable NULL Mode connecting  x86 systems
>> serially- with Cat and echo and this is fine.
>> When i try with Unpatched kernel on target and host(x86) - cat <
>> /dev/ttyS0 doesnt wait  and returns to prompt.
>> I tried with 2.6.13 and 2.6.15.5 with resepective kgdb patches, but the
>> result is same (kgdb Initialization failure). I am not sure where  am
>> doing the mistake.
>> Please guide me in right way and also please let me know if any  more
>> details are required.
>> Happy New Year in Advance.
>>
>> Thanks
>> Sudheer
>>
>>
>>
>>